<?php

function get_file_tags($input_file) {
  $input_type = mime_content_type($input_file);
  // echo $input_type;
  
  switch($input_type) {
    case 'audio/mpeg': break;
    case 'audio/flac': get_flac_tags($input_file); break;
    default: echo("Ey boss, that file type is NOT okay."); die(); break;
  }
}

function get_flac_tags($input_file) {
  echo(fread(fopen($input_file, 'r'), 4096));
}